Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.heckmansoft.surjey.view
Class RenderSurveyTagHandler

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.heckmansoft.surjey.view.RenderSurveyTagHandler

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class RenderSurveyTagHandler
extends javax.servlet.jsp.tagext.TagSupport

Helper class for rendering a survey. This is the Tag Handler class for a Tag Extension as defined in the JSP Specification.

See Also:
  `TagSupport`, Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RenderSurveyTagHandler()`

Method Summary
`int` | `doStartTag()`
`java.lang.String` | `getVar()` Get the value of var.
`void` | `setVar(java.lang.String var)` Set the value of var.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderSurveyTagHandler

    public RenderSurveyTagHandler()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`
  See Also:
    `TagSupport.doStartTag()`

### getVar

    public java.lang.String getVar()

  Get the value of var.

### setVar

    public void setVar(java.lang.String var)

  Set the value of var.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD